<!DOCTYPE html>
<html lang="en">
<meta http-equiv="content-type" content="text/html;charset=UTF-8" />

<head>
<meta charset="utf-8" />
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta name="viewport" content="width=device-width,initial-scale=1" />
<title>TBC</title>

<link th:href="@{/vendor/chartist/css/chartist.min.css}"
	rel="stylesheet" type="text/css" />
<link th:href="@{/vendor/owl-carousel/owl.carousel.css}"
	rel="stylesheet" type="text/css" />

<link
	th:href="@{/vendor/bootstrap-select/dist/css/bootstrap-select.min.css}"
	rel="stylesheet" type="text/css" />
<link th:href="@{/css/style.css}" rel="stylesheet" type="text/css" />
<link rel="stylesheet"
	href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.9.1/font/bootstrap-icons.css" />
</head>

<body>

	<div id="preloader">
		<div class="sk-three-bounce">
			<div class="sk-child sk-bounce1"></div>
			<div class="sk-child sk-bounce2"></div>
			<div class="sk-child sk-bounce3"></div>
		</div>
	</div>

	<div id="main-wrapper">
		<div class="nav-header">
			<a href="/" class="brand-logo"> <img class="brand-title"
				src="/images/logo-white.png" alt="" />
			</a>

			<div class="nav-control">
				<div class="hamburger">
					<span class="line"></span><span class="line"></span><span
						class="line"></span>
				</div>
			</div>
		</div>

		<div class="header">
			<div class="header-content">
				<nav class="navbar navbar-expand">
					<div class="collapse navbar-collapse justify-content-between">
						<div class="header-left"></div>
						<ul class="navbar-nav header-right main-notification">
							<li class="nav-item dropdown notification_dropdown"><a
								class="nav-link bell dz-theme-mode" href="#"> <i
									id="icon-light" class="fas fa-sun"></i> <i id="icon-dark"
									class="fas fa-moon"></i>
							</a></li>
							<li class="nav-item dropdown notification_dropdown"><a
								class="nav-link bell dz-fullscreen" href="#"> <svg
										id="icon-full" viewBox="0 0 24 24" width="20" height="20"
										stroke="currentColor" stroke-width="2" fill="none"
										stroke-linecap="round" stroke-linejoin="round"
										class="css-i6dzq1">
										<path
											d="M8 3H5a2 2 0 0 0-2 2v3m18 0V5a2 2 0 0 0-2-2h-3m0 18h3a2 2 0 0 0 2-2v-3M3 16v3a2 2 0 0 0 2 2h3"
											style="stroke-dasharray: 37, 57; stroke-dashoffset: 0"></path>
									</svg> <svg id="icon-minimize" width="20" height="20"
										viewBox="0 0 24 24" fill="none" stroke="currentColor"
										stroke-width="2" stroke-linecap="round"
										stroke-linejoin="round" class="feather feather-minimize">
										<path
											d="M8 3v3a2 2 0 0 1-2 2H3m18 0h-3a2 2 0 0 1-2-2V3m0 18v-3a2 2 0 0 1 2-2h3M3 16h3a2 2 0 0 1 2 2v3"
											style="stroke-dasharray: 37, 57; stroke-dashoffset: 0"></path>
									</svg>
							</a></li>

							<li class="nav-item dropdown header-profile"><a
								class="nav-link" href="#" role="button"
								data-bs-toggle="dropdown"> <img
									th:src="@{${'/images/kycdocuments/'+user.profileName}}"
									width="20" alt="" />
									<div class="header-info" th:object="${user}">
										<span th:text="${user.name}"></span> <small> </small>
									</div>
							</a>
								<div class="dropdown-menu dropdown-menu-end">
									<a href="/profile" class="dropdown-item ai-icon"> <svg
											id="icon-user1" xmlns="http://www.w3.org/2000/svg"
											class="text-primary" width="18" height="18"
											viewBox="0 0 24 24" fill="none" stroke="currentColor"
											stroke-width="2" stroke-linecap="round"
											stroke-linejoin="round">
											<path d="M20 21v-2a4 4 0 0 0-4-4H8a4 4 0 0 0-4 4v2"></path>
											<circle cx="12" cy="7" r="4"></circle>
										</svg> <span class="ms-2">Profile </span>
									</a> <a href="/logout" class="dropdown-item ai-icon"> <svg
											id="icon-logout" xmlns="http://www.w3.org/2000/svg"
											class="text-danger" width="18" height="18"
											viewBox="0 0 24 24" fill="none" stroke="currentColor"
											stroke-width="2" stroke-linecap="round"
											stroke-linejoin="round">
											<path d="M9 21H5a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h4"></path>
											<polyline points="16 17 21 12 16 7"></polyline>
											<line x1="21" y1="12" x2="9" y2="12"></line>
										</svg> <span class="ms-2">Logout </span>
									</a>
								</div></li>
						</ul>
					</div>
				</nav>
			</div>
		</div>
		<div class="deznav">
			<div class="deznav-scroll">
				<div class="main-profile">
					<div class="image-bx">
						<img th:src="@{${'/images/kycdocuments/'+user.profileName}}"
							alt="" />
					</div>
					<h5 class="name">
						<span class="font-w400">Hello,<span class="font-w400"
							th:text="${user.name}"></span></span>
					</h5>
					<p class="email" th:text="${user.mail}"></p>
				</div>
				<ul class="metismenu" id="menu">
					<li class="nav-label first">Main Menu</li>
					<li><a href="/" aria-expanded="false"> <i
							class="flaticon-144-layout"></i> <span class="nav-text">Dashboard</span>
					</a></li>
					<li><a href="/createPost" aria-expanded="false"> <i
							class="flaticon-144-layout"></i> <span class="nav-text">Create
								Post</span>
					</a></li>
					<li><a href="/myWallets" aria-expanded="false"> <i
							class="bi bi-wallet"></i> <span class="nav-text">Packages</span>
					</a></li>
					<li><a href="/referralTransactions" aria-expanded="false">
							<i class="bi bi-person-plus"></i> <span class="nav-text">Referal
								Earnings</span>
					</a></li>
					<li><a href="/manualBuy" aria-expanded="false">
							<i class="bi bi-person-plus"></i> <span class="nav-text">Manual
								Buy</span>
					</a></li>
					<li><a href="/findFriends" aria-expanded="false">
							<i class="bi bi-person-plus"></i> <span class="nav-text">Find
								Freinds</span>
					</a></li>
					<li><a href="/transaction" aria-expanded="false"> <i
							class="bi bi-arrow-left-right"></i> <span class="nav-text">Tranasactions</span>
					</a></li>
					<li th:if="${user.roles=='ROLE_ADMIN'}" id="admin-option"><a
						href="userControl" aria-expanded="false"> <i
							class="bi bi-people"></i> <span class="nav-text">User
								Control</span>
					</a></li>
					<li th:if="${user.roles=='ROLE_ADMIN'}" id="admin-option"><a
						href="/packagePurchased" aria-expanded="false"> <i
							class="bi bi-box"></i> <span class="nav-text">Package
								Purchased</span>
					</a></li>
					<li th:if="${user.roles=='ROLE_ADMIN'}" id="admin-option"><a
						href="/kycVerification" aria-expanded="false"> <i
							class="bi bi-shield-check"></i> <span class="nav-text">KYC
								Verification</span>
					</a></li>
				</ul>
			</div>
		</div>

		<div class="content-body">
			<div class="container-fluid">
				<div class="row page-titles mx-0">
					<div class="col-sm-6 p-md-0">
						<div class="welcome-text">
							<h4 class="text-gold">Hi, welcome back!</h4>
							<p class="mb-0">Personalized TBC Profile</p>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-lg-12">
						<div class="profile card card-body px-3 pt-3 pb-0">
							<div class="profile-head">
								<div class="photo-content">
									<div class="cover-photo rounded"></div>
								</div>
								<div class="profile-info">
									<div class="profile-photo">
										<img th:src="@{${'/images/kycdocuments/'+user.profileName}}"
											class="img-fluid rounded-circle" alt="" />
									</div>
									<div class="profile-details">
										<div class="profile-name px-3 pt-2">
											<h4 class="text-primary mb-0">
												<span th:text="${user.name}"></span>
											</h4>
											<p>
												<span th:text="${user.mail}"></span>
											</p>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-xl-12">
						<div class="card">
							<div class="card-body">
								<div class="profile-tab">
										<ul class="nav">
											
											<li ><a href="#identity"
												data-bs-toggle="tab" class="nav-link">Create Post</a></li>
										</ul>
										

											<div style="margin-left:1%">
												<form th:action="@{/createPost}" method="post"
													enctype="multipart/form-data">

													<div class="my-3">
														<label class="form-label">Choose a Pic</label>
														<div class="input-group mb-3">
															<input type="file" placeholder="profilePic"
																name="postName" />
														</div>
																												
															<div class="input-group mb-3">
																<input type="text" value="caption" name="caption"
																	placeholder="Caption" />
																<button class="btn btn-outline-primary" type="button"
																	id="button-addon2">
																	<i class="bi bi-pen-fill"></i>
																</button>
															</div>
														</div>
													
													<div>
														<button type="submit" value="submit">Submit</button>
													</div>
												</form>
											</div>
										</div>

										<!-- Modal -->
										<div class="modal fade" id="replyModal">
											<div class="modal-dialog modal-dialog-centered"
												role="document">
												<div class="modal-content">
													<div class="modal-header">
														<h5 class="modal-title">Post Reply</h5>
														<button type="button" class="btn-close"
															data-bs-dismiss="modal"></button>
													</div>
													<div class="modal-body">
														<form>
															<textarea class="form-control" rows="4"></textarea>
														</form>
													</div>
													<div class="modal-footer">
														<button type="button" class="btn btn-danger light"
															data-bs-dismiss="modal">btn-close</button>
														<button type="button" class="btn btn-primary">
															Reply</button>
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="footer">
				<div class="copyright">
					<p>
						Copyright © Designed &amp; Developed by <a href="#"
							target="_blank">TBC</a> 2022
					</p>
				</div>
			</div>
		</div>
		<script th:src="@{/vendor/global/global.min.js}"
			type="text/javascript"></script>
		<script
			th:src="@{/vendor/bootstrap-select/dist/js/bootstrap-select.min.js}"
			type="text/javascript"></script>
		<script th:src="@{/vendor/chart.js/Chart.bundle.min.js}"
			type="text/javascript"></script>
		<script th:src="@{/vendor/peity/jquery.peity.min.js}"
			type="text/javascript"></script>
		<script th:src="@{/vendor/apexchart/apexchart.js}"
			type="text/javascript"></script>
		<script src="/vendor/owl-carousel/owl.carousel.js"
			type="text/javascript"></script>
		<script src="/js/dashboard/dashboard-1.js" type="text/javascript"></script>
		<script th:src="@{/js/custom.js}" type="text/javascript"></script>
		<script th:src="@{/js/deznav-init.js}" type="text/javascript"></script>
		<script th:src="@{/js/demo.js}" type="text/javascript"></script>
		<script th:src="@{/js/styleSwitcher.js}" type="text/javascript"></script>
		<script>
			$(document).ready(function() {
				$(".theme-colors .btn").click(function() {
					$(".theme-colors .btn").removeClass("active");
					$(this).addClass("active");
				});
			});
		</script>
</body>
</html>
